Tin An Ninh Mạng

Lỗi mới trong nhân Linux ảnh hưởng đến các bản phân phối Red Hat, CentOS và Debian

hacker 17
Các nhà nghiên cứu đã công bố thông tin chi tiết và PoC của lỗ hổng tràn số nguyên (integer overflow) trong nhân Linux có thể cho phép người dùng bình thường chiếm quyền truy cập superuser vào hệ thống mục tiêu.

{

}

Linux Kernel bug.png

Lỗ hổng do Qualys – nhà cung cấp giải pháp an ninh nền tảng đám mây phát hiện và đặt tên là “Mutagen Astronomy”, ảnh hưởng đến các phiên bản nhân được phát hành từ tháng 7/2007 đến tháng 7/2017, và các bản phân phối của Red Hat Enterprise Linux, CentOS và Debian.

Mutagen Astronomy hay CVE-2018-14634, là lỗ hổng leo thang đặc quyền cục bộ – một trong những lỗi phổ biến nhất của các hệ điều hành nói chung và tồn tại trong hàm create_elf_tables() của nhân Linux quản lý các bảng bộ nhớ.

Để khai thác thành công lỗ hổng này, kẻ tấn công cần phải truy cập vào hệ thống mục tiêu và cho chạy mã khai thác dẫn đến tràn bộ đệm, từ đó thực thi mã độc và hoàn toàn kiểm soát hệ thống bị ảnh hưởng.

Linux Kernel bug 2.png

Qualys trong bài khuyến nghị công bố vào ngày 25/9 cho biết lỗ hổng có thể bị khai thác để leo thang đặc quyền lên superuser thông qua một nhị phân SUID-root, nhưng chỉ hoạt động trên các hệ thống kiến trúc 64-bit.

Theo khuyến cáo từ Red Hat, “Vấn đề này không ảnh hưởng đến hệ thống 32-bit vì không đủ không gian địa chỉ (address space) để khai thác lỗ hổng. Các hệ thống có bộ nhớ nhỏ hơn 32GB có thể cũng không bị ảnh hưởng do nhu cầu bộ nhớ trong quá trình khai thác”.

“Chỉ các nhân có commit b6a2fea39318 (“mm: hỗ trợ đối số có độ dài biến đổi”, từ ngày 19/7/2007) nhưng không commit da029c11e6b1 (“exec: Giới hạn stack arg tối đa 75% của _STK_LIM “, từ ngày 7/7/2017) có thể bị khai thác.”

Linux Kernel phiên bản 2.6.x, 3.10.x và 4.14.x được cho là tồn tại lỗ hổng Mutagen Astronomy.

Mặc dù hầu hết các bản phân phối Linux đã backport commit da029c11e6b1 lên các nhân hỗ trợ dài hạn để giải quyết vấn đề, Red Hat Enterprise Linux, CentOSDebian 8 Jessie (phiên bản “oldstable” hiện tại) vẫn chưa được cập nhật bản vá, vì vậy, vẫn tồn tại nguy cơ bị tấn công.

PoC đã được công bố

Qualys đã báo cáo lỗ hổng tới Red Hat vào ngày 31/8/2018 và tới các nhà phát triển nhân Linux vào ngày 18/9/2018. Red Hat đánh giá lỗ hổng là “nghiêm trọng” với điểm CVSS là 7.8 (mức độ nghiêm trọng cao), và bắt đầu phát hành bản cập nhật để xử lý lỗ hổng.

Theo Red Hat,”Vấn đề này ảnh hưởng đến phiên bản của gói nhân phân phối cùng với Red Hat Enterprise Linux 6, 7 và Red Hat Enterprise MRG 2. Bản cập nhật nhân sắp tới cho Red Hat Enterprise Linux 6, 7 và Red Hat Enterprise MRG 2 sẽ giải quyết vấn đề này”.

Tuy nhiên, các phiên bản nhân Linux phân phối cùng với Red Hat Enterprise Linux 5 không bị ảnh hưởng bởi lỗ hổng Mutagen Astronomy.

Chi tiết kỹ thuật và các PoC về lỗ hổng này các bạn có thể tham khảo tại đây:Exploit 1, Exploit 2

Theo The hacker news

Đăng ký liền tay Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !

Add Comment

Click here to post a comment

Đăng ký liền tay
Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !